
package de.ivu.elect.business.ergebnis.entity;

/**
 * Enum der möglichen Werte, wie ein Ergebnis (Sitze oder Stimmen) in einer XML-Exportdatei bezeichnet werden kann.
 * 
 * @see de.ivu.elect.connector.was.WahlergebnisartType
 */
public enum WasExportErgebnisBezeichnung {
  ENDGUELTIG,
  VORPERIODE,
  VORLAEUFIG,
  KEIN;

  public static WasExportErgebnisBezeichnung[] ohneKein() {
    return new WasExportErgebnisBezeichnung[] {ENDGUELTIG, VORPERIODE, VORLAEUFIG};
  }

  public static WasExportErgebnisBezeichnung[] mitKein() {
    return values();
  }
}
